//-----------------------------------------------
//TUSB-S01ACCphCoANZXpAPI
//Visual C++/CLI pW[
//
//2013_10_17@Ѓ^[gH
//Copyright (C) 2013 Turtle Industry Co.,Ltd.
//-----------------------------------------------

using namespace System;
using namespace System::Runtime::InteropServices;

[DllImport("TUSBSACC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01acc_Device_Open(short id);
[DllImport("TUSBSACC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern void Tusbs01acc_Device_Close(short id);
[DllImport("TUSBSACC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01acc_Timer_Set(short id,unsigned char ClockN,int ClockM);
[DllImport("TUSBSACC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01acc_Input_Set(short id,unsigned char HPE,unsigned char Range);
[DllImport("TUSBSACC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01acc_Sampling_Start(short id,unsigned char TrType,short Level,int PreLen,int TotalLen);
[DllImport("TUSBSACC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01acc_Status_Read(short id,unsigned char *status,unsigned char *ovf,int *leng);
[DllImport("TUSBSACC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01acc_Memory_Read(short id, [Out] short data[],int *leng);
[DllImport("TUSBSACC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01acc_Sampling_Stop(short id);
[DllImport("TUSBSACC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01acc_Memory_Clear(short id);
[DllImport("TUSBSACC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01acc_Sampling_Trigger(short id);
[DllImport("TUSBSACC.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01acc_FifoPeak(short id,unsigned char *Peak);

static String^ Tusbs01acc_GetErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "IDԍsł";
        case 2:
            return "hCoCXg[Ă܂";
        case 3:
            return "łɃfoCX̓I[vĂ܂";
        case 4:
            return "ڑĂ䐔܂";
        case 5:
            return "I[vł܂ł";
        case 6:
            return "foCX݂܂";
        case 7:
            return "I[vĂ܂";
        case 8:
            return "p[^G[";
        case 9:
            return "USBʐMG[ł";
        default:
            return "sȃG[ł";
    }
}
