
#ifdef TUSBSACC_EXPORTS
#define TUSBSACC_API __declspec(dllexport) __cdecl
#else
#define TUSBSACC_API __declspec(dllimport) __cdecl
#endif

#ifdef __cplusplus
extern "C"{
#endif

short TUSBSACC_API Tusbs01acc_Device_Open(short id);
void TUSBSACC_API Tusbs01acc_Device_Close(short id);
short TUSBSACC_API Tusbs01acc_Timer_Set(short id,char N,int M);
short TUSBSACC_API Tusbs01acc_Input_Set(short id,char HPF,char Range);
short TUSBSACC_API Tusbs01acc_Sampling_Start(short id,char TrType,short Level,int PreLen,int TotalLen);
short TUSBSACC_API Tusbs01acc_Status_Read(short id,char *status,char *ovf,int *leng);
short TUSBSACC_API Tusbs01acc_Memory_Read(short id,short *data,int *leng);
short TUSBSACC_API Tusbs01acc_Sampling_Stop(short id);
short TUSBSACC_API Tusbs01acc_Memory_Clear(short id);
short TUSBSACC_API Tusbs01acc_Sampling_Trigger(short id);
short TUSBSACC_API Tusbs01acc_FifoPeak( short id ,char *Peak);

#ifdef __cplusplus
}
#endif


